data_directory = '/var/lib/postgresql/9.4/main'		# use data in another directory
hba_file = '/etc/postgresql/9.4/main/pg_hba.conf'	# host-based authentication file
ident_file = '/etc/postgresql/9.4/main/pg_ident.conf'	# ident configuration file
listen_addresses = '*'			# what IP address(es) to listen on;
port = 5432				# (change requires restart)
max_connections = 250	# (change requires restart)
ssl = on
ssl_ciphers = 'EECDH+AES128:EDH+AES128:!aNULL'
ssl_renegotiation_limit = 0
tcp_keepalives_idle = 240
tcp_keepalives_count = 4
tcp_keepalives_interval = 15
shared_buffers = 256MB	# min 128kB
maintenance_work_mem = 512MB
work_mem = 2MB
shared_preload_libraries = 'pg_logforward'
bgwriter_lru_maxpages = 200
wal_level = hot_standby
checkpoint_segments = 15
archive_mode = on
archive_command = '/bin/true'
max_wal_senders = 2
wal_keep_segments = 20		# 300M
random_page_cost = 2.0
effective_cache_size = 4GB		# real default is 4GB, not 128MB...
log_rotation_age = 1d			# Automatic rotation of logfiles will
log_rotation_size = 100MB
log_min_duration_statement = -1
log_checkpoints = on
log_line_prefix = '%m %r %p %d %u '
log_lock_waits = on			# log lock waits >= deadlock_timeout
log_temp_files = 0			# log temporary files equal or larger
track_io_timing = on
track_functions = pl
log_autovacuum_min_duration = 15s
search_path = 'public'
datestyle = 'iso, dmy'
lc_messages = 'en_US.UTF-8'			# locale for system error message
lc_monetary = 'en_US.UTF-8'			# locale for monetary formatting
lc_numeric = 'en_US.UTF-8'			# locale for number formatting
lc_time = 'en_US.UTF-8'				# locale for time formatting
default_text_search_config = 'pg_catalog.english'
logforward.target_names = 'logproxy'
logforward.logproxy_host = '127.0.0.1'
logforward.logproxy_port = 17090
logforward.logproxy_min_elevel = 19
logforward.logproxy_format = 'json'
